İçeriğe geç

Kling Video Create Voice

Entegre et

Model kimliği kling-video/create-voice
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-video/create-voice?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "voice_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: $0,007 7 API kredisi Bu sayfada çalıştır

API anahtarı al
Kling Ses

5-30 s uzunluğundaki ses veya video örneğinden özel bir ses kaydeder ve ses kimliği döndürür

Kling · Veri (JSON)

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli
Dosyayı bırakın veya

.mp3 veya .wav ses ya da .mp4 veya .mov video biçimindeki ses kaydına işaret eden URL. Kayıt 5–30 saniye sürmeli ve tek bir ses içeren temiz ses barındırmalıdır.

Gelişmiş enable_safety_checker
POST /run/kling-video/create-voice?wait=20 fiyat → $0,007
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-video/create-voice?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "voice_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Kling Video Create Voice hakkında

Kling modellerinin ses kontrolünde kullanılmak üzere yeniden kullanılabilir bir ses oluşturur. `voice_url` ile 5-30 saniye uzunluğunda, tek ve temiz sesli konuşma içeren .mp3/.wav ses veya .mp4/.mov video sağlayın. Sonuç, yeni sesi tanımlayan bir `voice_id` dizesidir.

Parametreler

AdTür Varsayılanİzin verilen Açıklama
enable_safety_checkeristeğe bağlı
Türboolean
Varsayılantrue
Güvenlik kontrolleri yalnızca hesap yetkilendirmesiyle devre dışı bırakılabilir; yetkilendirme içermeyen istekler her zaman kontrolden geçirilir.
voice_urlgerekli
Türurl · audio
.mp3 veya .wav ses ya da .mp4 veya .mov video biçimindeki ses kaydına işaret eden URL. Kayıt 5–30 saniye sürmeli ve tek bir ses içeren temiz ses barındırmalıdır.
gerekli

Dosya parametreleri herkese açık bir https:// URL'si, 10 MB'a kadar bir data: URI'si veya yüklenen bir dosyanın file_url değerini kabul eder. Dosyalar

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-video/create-voice",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 7,
    "usd": "0.007",
    "charged": 7,
    "refunded": 0
  },
  "input": {
    "voice_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
  },
  "output": {
    "voice_id": "829877809978941442"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
voice_id
stringYeni oluşturulan sese atanan benzersiz kimlik.

Daha fazla model: Ses

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/kling-video/create-voice.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt